{ config, lib, ... }:

with lib;

let
  cfg = config.settings.containers.nginx;
in {
  options = {
    settings.containers.auth.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = ''
        Enable authelia and lldap container
      '';
    };
  };

  config = mkIf cfg.enable {
    services.podman.containers.lldap = {
      image = "lldap/lldap:stable";
      network = "proxy";
      volumes = [
        "%h/containers/lldap/data:/data"
      ];
      environment = {
        TZ = "Europe/Amsterdam";
        LLDAP_JWT_SECRET = "";
        LLDAP_KEY_SEED = "";
        LLDAP_LDAP_BASE_DN = "dc=tbmrs,dc=nl";
        LLDAP_LDAP_USER_PASS= "changeme!";
      };
    };
  };
}
